Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serializer
Interface DOMSerializer

All Known Subinterfaces:
  DOMSerializer, SerializationHandler

All Known Implementing Classes:
  EmptySerializer, SerializerBase

public interface DOMSerializer

Interface for a DOM serializer implementation.

The DOM serializer is a facet of a serializer. A serializer may or may not support a DOM serializer.

Example:

     Document     doc;
     Serializer   ser;
     OutputStream os;

     ser.setOutputStream( os );
     ser.asDOMSerializer( doc );

Version:
  Alpha
Author:
  Scott Boag, Assaf Arkin

Method Summary
`void` | `serialize(Node node)` Serializes the DOM node.

Method Detail

### serialize

    public void serialize(Node node)
                   throws java.io.IOException

  Serializes the DOM node. Throws an exception only if an I/O exception occured while serializing.

  Parameters:
    `node` - the DOM node to serialize
  Throws:
    `java.io.IOException` - if an I/O exception occured while serializing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.